version: '3'

services:
  chopin:
    restart: "no"
    ports:
      - "8001:80"
    volumes:
      - ./chopin/:/app

    environment:
      - DD_APM_ENABLED=false
      - DD_PROFILING_ENABLED=false
      - DD_LOGS_INJECTION=false
      - POSTGRES_PASSWORD=suno
      - POSTGRES_USER=suno
      - POSTGRES_DB=suno_chopin

    build:
      context: ./chopin
      args:
        INSTALL_DEV: ${INSTALL_DEV-true}
    
    # command: sleep infinity  # Infinite loop to keep container alive doing nothing
    command: /start-reload.sh